## ros-indigo-rtmbuild 1.4.2

=== debian/changelog ===
ros-indigo-rtmbuild (1.4.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 22 Dec 2017 00:00:00 -0000

ros-indigo-rtmbuild (1.4.1-0trusty) trusty; urgency=high

  * Fix bug of servicebridge.cmake (#1031 <https://github.com/start-jsk/rtmros_common/pull/1031>)
    * [rtmbuild/cmake/servicebridge.cmake] Fix bug of argument passing to avoid unnecessary addition of '' : https://github.com/start-jsk/rtmros_common/pull/1031#issuecomment-338370927
    * [rtmbuild/cmake/servicebridge.cmake] Fix typo. rand_str -> _rand_str
  * Contributors: Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Oct 2017 00:00:00 -0000

ros-indigo-rtmbuild (1.4.0-0trusty) trusty; urgency=high

  * fix code to run both Indido and Kinetic (#1025 <https://github.com/start-jsk/rtmros_common/issues/1025>)
    * rtmbuild/test/test-compile-idl.test: add retry=4 and time-limit=120
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Aug 2017 00:00:00 -0000

ros-indigo-rtmbuild (1.3.3-0trusty) trusty; urgency=high

  * re-enable rosnode_rtc (#961 <https://github.com/start-jsk/rtmros_common/issues/961>)
    * rtmbuild: fix type in DEPENDS section of catkin_package
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Feb 2017 00:00:00 -0000

ros-indigo-rtmbuild (1.3.2-0trusty) trusty; urgency=high

  * [refactor] delete depends from AutoBalancerService.hh to StabilizerService.hh (#939)
    * delete depends from AutoBalancerService.hh to StabilizerService.hh
    * CMakeLists.txt: add Loing ... rtmbuild.cmake message
    * CMakeLists.txt: fix syntax warning
    * cmake/rtmbuild.cmake: genrcp may depends on any idl (.hh) file
  * [refactor] remove old rosbuild files
  * [feat][rtmbuild/scripts/idl2srv.py] Add more CORBA exception information. Add BAD_PARAM, MARSHAL, and OBJECT_NOT_EXIST checking. Add minor code printing and possible case assumption.
  * Contributors: Shunichi Nozawa, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 26 Apr 2016 00:00:00 -0000

ros-indigo-rtmbuild (1.3.1-0trusty) trusty; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Dec 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.3.0-0trusty) trusty; urgency=high

  * deb release only targeting to indigo
  * [rtmbuild/cmake/rtmbuild.cmake] add a "-Wbuse_quotes" option to omniidl
  * Contributors: Eisoku Kuroiwa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Dec 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.14-0trusty) trusty; urgency=high

  * [rtmbuild/scripts/idl2srv.py] print when service is called and returned
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 23 Jun 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.13-0trusty) trusty; urgency=high

  * [script/idl2srv] advertise service after rtc is activated
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.12-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Apr 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.11-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 Apr 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.10-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.9-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Apr 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.8-0trusty) trusty; urgency=high

  * fix for when hrp_idldir is null, hope this solves indigo ros buildfirm problem
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Mar 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.7-0trusty) trusty; urgency=high

  * Update rtmbuild_init to specify dependency of generate_messages and
    add new service interface to HrpsysSeqStateROSBridge to specify transformation
    for each sensor
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 00:00:00 -0000

ros-indigo-rtmbuild (1.2.6-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Oct 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.2.5-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Oct 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.2.4-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Sep 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.2.3-0trusty) trusty; urgency=high

  * fix rtmbuild.cmake
  * Contributors: terasawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.2.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 31 Aug 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.2.1-0trusty) trusty; urgency=high

  * (idl2srv.py) : Check pointer or not ;; At previous revision, non-pointer variables are deleted
  * (idl2srv.py) : use random string for idl2srv generated file
  * (package.xml files) Update repository URLs
  * Contributors: Isaac Isao Saito, Kei Okada, Shunichi Nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Jun 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.2.0-0trusty) trusty; urgency=high

  * bump to 1.2.0 for hrpsys 315.2.0

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.0.12-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 May 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.0.11-0trusty) trusty; urgency=high

  * compile idl files at once, omniidl -bpython support compile multiple idl
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Apr 2014 00:00:00 -0000

ros-indigo-rtmbuild (1.0.10-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Apr 2014 00:00:00 -0000


