=== debian/control ===
Source: ros-indigo-rtmbuild
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libomniorb4-dev, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-message-generation, ros-indigo-openrtm-aist, ros-indigo-openrtm-aist-python, ros-indigo-rostest, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/rtmbuild
Standards-Version: 3.9.2

Package: ros-indigo-rtmbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libblas-dev, liblapack-dev, libomniorb4-dev, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, ros-indigo-cmake-modules, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-openrtm-aist, ros-indigo-openrtm-aist-python, ros-indigo-rostest, ros-indigo-std-msgs
Description: Build scripts for OpenRTM and OpenHRP
